Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84094 - ethereal has potential SIGCHLD handling bug
Summary: ethereal has potential SIGCHLD handling bug
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ethereal
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578 CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-02-12 02:33 UTC by Bill Nottingham
Modified: 2014-03-17 02:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-31 14:01:23 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2003-02-12 02:33:05 UTC
ethereal sets the handler for SIGCHLD to SIG_IGN, and then appears to wait for
its children. This won't work with current kernels.

Comment 1 Phil Knirsch 2003-02-19 15:27:43 UTC
Fixed.

Read ya, Phil

Comment 2 Chris Ricker 2003-02-28 19:15:35 UTC
I'm getting:

application bug: ethereal(3489) has SIGCHLD set to SIG_IGN but calls wait().
(see the NOTES section of 'man 2 wait'). Workaround activated.

with ethereal-0.9.8-5

what version has this fixed?

Comment 3 Bill Nottingham 2003-02-28 20:16:00 UTC
0.9.8-6 should have it.

Comment 4 Joe Orton 2003-04-14 15:03:22 UTC
I'm seeing this error in Shrike. ethereal-0.9.8-6, kernel 2.4.20-8smp.

application bug: ethereal(29130) has SIGCHLD set to SIG_IGN but calls wait().
(see the NOTES section of 'man 2 wait'). Workaround activated.

Comment 5 Phil Knirsch 2003-07-31 13:05:44 UTC
Thats really strange as the patch has been included in that package. Have you
tried the released ethereal errata version for Shrike? (ethereal-0.9.11-0.90.1)

Read ya, Phil

Comment 6 Chris Ricker 2003-07-31 13:58:38 UTC
I haven't seen this on released RHL 9 or on the severn alphas / betas, and I run
ethereal a lot....

Comment 7 Phil Knirsch 2003-07-31 14:01:23 UTC
OK, closing as fixed in current release then.

Thanks!

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.